<body>
    

<header class="Ontop">
    <nav class="navbar navbar-expand-lg">
        <div class="container">
            <a class="navbar-brand text-white" href="/admin"><i class="fa fa-graduation-cap fa-lg mr-2"></i>DEKHOR</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#nvbCollapse"
                aria-controls="nvbCollapse">
                <span class="navbar-toggler-icon"></span>
            </button>
            <p-menubar [model]="items">
                <ng-template pTemplate="start">
                    <img src="https://cdn-icons-png.flaticon.com/512/230/230533.png" height="40" class="mr-2">
                </ng-template>

            </p-menubar>
        </div>
    </nav>
</header>


<p-dialog header="New Rooms" icon="pi pi-user" [(visible)]="shownewroom" [modal]="true" [style]="{width: '16vw'}"
    [draggable]="false" [resizable]="false">
    <br>
    <br>
    <div class="container">
        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="inputNumroom">
            <label for="float-input">หมายเลขห้อง </label>
        </span>
        <br>
        <br>
        <p-selectButton [options]="stateOptions" [(ngModel)]="value1" optionLabel="label" optionValue="value">
        </p-selectButton>


        <br>
        <br>
        <div class="login">
            <p-button id="btnlogin" (onClick)="newrooms(value1)" label="สร้างห้อง"></p-button>
        </div>
    </div>

</p-dialog>


<p-card  class="Repair"  *ngFor="let Repair of Repairdatalist" header="{{Repair.titleRepair}}" subheader="ห้อง {{Repair.numroom}} " [style]="{width: '360px'}" styleClass="p-card-shadow" >
    <ng-template pTemplate="header">
        <img alt="Card" src={{Repair.imageUrl}} >
    </ng-template>

    <p>{{Repair.detail}} </p>
    <p *ngIf="repairStatewaittechnicain" style="color:orange;">รอดำเนินการซ่อม</p>
    <p *ngIf="repairStateforwand" style="color: rgb(27, 171, 255);">รอส่งเรื่อง</p>
    <p *ngIf="repairStatewaitNiti" style="color: rgb(255, 27, 114);">รอนิติตรวจสอบ</p>
    <p *ngIf="repairStatesuscess" style="color: rgb(0, 243, 20);">เรียบร้อย</p>
    
    <ng-template pTemplate="footer">
        แจ้งเมื่อ {{Repair.timestamp | date: 'dd/MMM/yy h:mm:ss a '}}
        <p></p>
        <p-button label="ดูเพิ่มเติม"  styleClass="p-button-secondary" (click)="showDetailRepair(Repair.numroom,Repair.timestamp)"></p-button>
        
    </ng-template>
</p-card>


<p-dialog header='ห้อง{{Repair_numroom}}' icon="pi pi-user" [(visible)]="displayshowDetailRepair" [modal]="true"
    [style]="{width: '30vw'}" [draggable]="false" [resizable]="false" [transitionOptions]="'100ms'">
    <div class="container">
        <span class="p-float-label">
            <p>หัวข้อการแจ้งซ่อม</p>
            <input id="float-input" type="text" pInputText [(ngModel)]="Repair_titleRepair">

        </span>
        <span class="p-float-label" style="align-content:right;">
            <p>เบอร์โทรติดต่อ</p>
            <input id="float-input" type="text" pInputText [(ngModel)]="Repair_phone">

            <p>ค่าใช้จ่ายในการซ่อม</p>
            <input id="float-input" type="text" pInputText [(ngModel)]="Repair_cost">
        </span>
        <br>
        <br>
        <span class="p-float-label">
            <p-image src={{Repair_imageUrl}} alt="Image" width="400">รูปที่แนบมาด้วย
            </p-image>

        </span>
        <br>

        <span class="p-float-label">
            <p>รายละเอียดการแจ้งซ่อม</p>
            <textarea class="text" rows="5" cols="40" pInputTextarea>{{Repair_detail}}</textarea>
        </span>

    </div>
    <ng-template pTemplate="footer">
        <p-button icon="pi pi-check" (click)="Onsave()" label="บันทึก" styleClass="p-button-text"></p-button>
    </ng-template>

</p-dialog>

<p-card  class="Repair" *ngFor="let Rooms of Roomlist" header="ห้อง{{Rooms}}"

[style]="{'width': '18rem', 'margin-bottom': '1em'}">

    
        
            <!-- <button class="tooltiptext"  *ngIf="isEmtpy" type="button" pButton pRipple (click)="showRoom(Rooms)" label="Not avialable" class="p-button-danger mb-2" ></button> -->


            <!-- <button class="tooltiptext" *ngIf="isFree" type="button" pButton pRipple (click)="showRoom(Rooms)" label="avialable" class="p-button-success mb-2" ></button> -->


            <p style="cursor: pointer;" (click)="Displaycontract(Rooms)">ดูสัญญาเช่าห้อง</p>
            <button type="button" icon="pi pi-times" (click)="confirm($event,Rooms)" class="p-element p-ripple p-button-rounded p-button-danger p-button-text p-button p-component p-button-icon-only"><span class="p-button-icon pi pi-times" aria-hidden="true"></span><span aria-hidden="true" class="p-button-label">&nbsp;</span><span class="p-ink" style="height: 42px; width: 42px; top: 2.75px; left: -3.5px;"></span></button>
</p-card>
<p-dialog header="สัญญาห้อง {{rooms}}" icon="pi pi-user" [(visible)]="displayshowcontract" [modal]="true"
    [style]="{height: '100'}" [style]="{width: '30'}" [draggable]="false" [resizable]="false"
    [transitionOptions]="'100ms'">

    <div class="Image">
        <p-image *ngIf="!ContractdataIsEmpty" src="{{Contractdata}}" alt="Image" height="300" [preview]="true"></p-image>
        <h2 *ngIf="ContractdataIsEmpty">ไม่มีข้อมูลสัญญาเช่า</h2>

    </div>

</p-dialog>




<app-manage-user *ngIf="showuser"></app-manage-user>
<app-manage-technicain *ngIf="showtechnician"></app-manage-technicain>
<app-invoice *ngIf="showinvoice"></app-invoice>
<app-costutilities *ngIf="showcostutilities"></app-costutilities>
<app-detail-fix *ngIf="showcontract"></app-detail-fix>
<app-room *ngIf="showrooms"></app-room>

</body>


<p-toast></p-toast>
<p-confirmPopup></p-confirmPopup>